From d8bbe715000e166183991aceadee64f86e19dcb4 Mon Sep 17 00:00:00 2001
From: jmoffitt <jeremy.moffitt@suse.com>
Date: Tue, 16 Jan 2018 15:57:20 -0800
Subject: [PATCH] HPE branding patch for Ops Console

Change-Id: Ia28308a56e9f24e76298cac9ab8f0c91e80e6439
---
 app/locales/en/branding.json                             |  9 +++++----
 app/locales/ja/branding.json                             |  8 ++++----
 app/locales/zh/branding.json                             |  8 ++++----
 app/plugins/compute/styles/ansiColours.scss              |  2 +-
 .../storage/scripts/object_storage_capacity_summary.js   | 16 ++++++++--------
 app/plugins/storage/styles/storage.scss                  |  4 ++--
 app/styles/components/_palette.scss                      |  6 +++---
 7 files changed, 27 insertions(+), 26 deletions(-)

diff --git a/app/locales/en/branding.json b/app/locales/en/branding.json
index 875dab7..66edf44 100644
--- a/app/locales/en/branding.json
+++ b/app/locales/en/branding.json
@@ -1,6 +1,7 @@
 {
-    "branding.product.login.title" : "SUSE OpenStack Cloud",
-    "branding.pageTitle.title" : "SUSE OpenStack Cloud Operations Console",
-    "branding.masthead.title": "SUSE OpenStack Cloud Ops Console",
-    "footer.copyright": "SUSE OpenStack Cloud Operations Console - Copyright 2018. All rights reserved."
+    "branding.product.login.title" : "HPE Helion OpenStack",
+    "branding.pageTitle.title" : "HPE Helion OpenStack Operations Console",
+    "branding.masthead.title": "HPE Helion Ops Console",
+    "footer.copyright": "Hewlett Packard Enterprise Development LP Helion OpenStack Operation Console - Copyright 2018. All rights reserved."
 }
+
diff --git a/app/locales/ja/branding.json b/app/locales/ja/branding.json
index 875dab7..6cfc263 100644
--- a/app/locales/ja/branding.json
+++ b/app/locales/ja/branding.json
@@ -1,6 +1,6 @@
 {
-    "branding.product.login.title" : "SUSE OpenStack Cloud",
-    "branding.pageTitle.title" : "SUSE OpenStack Cloud Operations Console",
-    "branding.masthead.title": "SUSE OpenStack Cloud Ops Console",
-    "footer.copyright": "SUSE OpenStack Cloud Operations Console - Copyright 2018. All rights reserved."
+    "branding.product.login.title" : "HPE Helion OpenStack",
+    "branding.pageTitle.title" : "HPE Helion OpenStack Operations Console",
+    "branding.masthead.title": "HPE Helion Ops Console",
+    "footer.copyright": "Hewlett Packard Enterprise Development LP Helion OpenStack Operation Console - Copyright 2018. All rights reserved."
 }
diff --git a/app/locales/zh/branding.json b/app/locales/zh/branding.json
index 875dab7..6cfc263 100644
--- a/app/locales/zh/branding.json
+++ b/app/locales/zh/branding.json
@@ -1,6 +1,6 @@
 {
-    "branding.product.login.title" : "SUSE OpenStack Cloud",
-    "branding.pageTitle.title" : "SUSE OpenStack Cloud Operations Console",
-    "branding.masthead.title": "SUSE OpenStack Cloud Ops Console",
-    "footer.copyright": "SUSE OpenStack Cloud Operations Console - Copyright 2018. All rights reserved."
+    "branding.product.login.title" : "HPE Helion OpenStack",
+    "branding.pageTitle.title" : "HPE Helion OpenStack Operations Console",
+    "branding.masthead.title": "HPE Helion Ops Console",
+    "footer.copyright": "Hewlett Packard Enterprise Development LP Helion OpenStack Operation Console - Copyright 2018. All rights reserved."
 }
diff --git a/app/plugins/compute/styles/ansiColours.scss b/app/plugins/compute/styles/ansiColours.scss
index 6f6c1a2..36acb42 100644
--- a/app/plugins/compute/styles/ansiColours.scss
+++ b/app/plugins/compute/styles/ansiColours.scss
@@ -9,7 +9,7 @@ $colours: (
                 intense: #80746E
         ),
         'green': (
-                normal: #02D35F,
+                normal: #01A982,
                 intense: #5F7A76
         ),
         'yellow': (
diff --git a/app/plugins/storage/scripts/object_storage_capacity_summary.js b/app/plugins/storage/scripts/object_storage_capacity_summary.js
index a55cb2a..34967e7 100644
--- a/app/plugins/storage/scripts/object_storage_capacity_summary.js
+++ b/app/plugins/storage/scripts/object_storage_capacity_summary.js
@@ -83,7 +83,7 @@
                     legendLabels: [
                         {
                             label: "Capacity",
-                            color: "#02D35F"
+                            color: "#01A982"
                         },
                         {
                             label: "Utilization",
@@ -95,7 +95,7 @@
                     graphTitleConfig: {},
 
                     graphColors: {
-                        stackColors: ["#02D35F", "#333333"]
+                        stackColors: ["#01A982", "#333333"]
                     },
 
                     graphAxisConfig: {
@@ -124,13 +124,13 @@
 
             $scope.capacityChartConfig = angular.copy($scope.sampleConfig);
             $scope.capacityChartConfig.legendConfig.legendLabels = [{label: "Capacity", color: "#333333"}];
-            $scope.capacityChartConfig.graphOptions.graphColors.stackColors = ["#333333", "#02D35F"];
+            $scope.capacityChartConfig.graphOptions.graphColors.stackColors = ["#333333", "#01A982"];
             $scope.capacityChartConfig.graphOptions.graphColors.fill = "#333333";
             $scope.capacityChartConfig.graphOptions.graphColors.stroke = "#333333";
             $scope.capacityChartConfig.graphOptions.graphAxisConfig.yAxis.format = 'bytes';
 
             $scope.rate_of_changeChartConfig = angular.copy($scope.sampleConfig);
-            $scope.rate_of_changeChartConfig.legendConfig.legendLabels = [{label: "Rate of Change", color: "#02D35F"}];
+            $scope.rate_of_changeChartConfig.legendConfig.legendLabels = [{label: "Rate of Change", color: "#01A982"}];
             $scope.rate_of_changeChartConfig.graphOptions.graphAxisConfig.yAxis = {
                 'format': formatRateOfChangeChartyAxisData
             };
@@ -507,22 +507,22 @@
                         selected_project = "all";
                         $scope.selectedUtilizationChartConfig.legendConfig.legendLabels =[{
                             label: "All Project - Utilization",
-                            color: "#02D35F"
+                            color: "#01A982"
                         }];
                         $scope.selectedROCChartConfig.legendConfig.legendLabels = [{
                             label: "All Project - Rate of Change",
-                            color: "#02D35F"
+                            color: "#01A982"
                         }];
                     } else {
                         $scope.selectedUtilizationChartConfig.legendConfig.legendLabels = [{
                             label: "Project " + selected_project.name + " - " +
                                 $translate.instant("storage.object_storage.project_utilization.chart"),
-                            color: "#02D35F"
+                            color: "#01A982"
                         }];
                         $scope.selectedROCChartConfig.legendConfig.legendLabels = [{
                             label: "Project " + selected_project.name + " - " +
                                 $translate.instant('storage.object_storage.rate_of_change.total'),
-                            color: "#02D35F"
+                            color: "#01A982"
                         }];
                     }
                     $scope.selectedUtilizationChartConfig.legendConfig.legendButtonsValue = '1day';
diff --git a/app/plugins/storage/styles/storage.scss b/app/plugins/storage/styles/storage.scss
index f31897f..7ae2bee 100644
--- a/app/plugins/storage/styles/storage.scss
+++ b/app/plugins/storage/styles/storage.scss
@@ -450,7 +450,7 @@ opsmodal#configurationCPGModalWindow, opsmodal#unRegisterModalWindow, .manage-ci
   }
 
   .ardana-icon-Active_L {
-    color: #02D35F;
+    color: #01A982;
     vertical-align: text-bottom;
   }
 
@@ -483,7 +483,7 @@ opsmodal#configurationCPGModalWindow, opsmodal#unRegisterModalWindow, .manage-ci
   }
 
   .alarms-font {
-    color: #02D35F;
+    color: #01A982;
     font-weight: $font-weight-semi-bold;
     font-size: 16px;
   }
diff --git a/app/styles/components/_palette.scss b/app/styles/components/_palette.scss
index 755de81..b45139c 100755
--- a/app/styles/components/_palette.scss
+++ b/app/styles/components/_palette.scss
@@ -8,7 +8,7 @@ $table-header-border-color: #E0E0E0;
 /* GROMMET BASE COLORS */
 
 /* Primary */
-$grommet-green: #02D35F;
+$grommet-green: #01A982;
 $grommet-black: #333333;
 $grommet-white: #FFFFFF;
 $grommet-disabled-green: #CCEEE6;
@@ -92,7 +92,7 @@ $oc-alarm-resolved-color: #848484;
 $oc-alarm-dark-gray: #555;
 $oc-alarm-light-gray: #a1a1a1;
 
-$oc-highlight: #02D35F;
+$oc-highlight: #01A982;
 $oc-highlight-hover: #0578AC;
 $oc-border: #dddddd;
 
@@ -116,7 +116,7 @@ $plot-guide-color: #CCCCCC;
 
 $status-error-color: #DC442F;
 $status-warning-color: #F4B51E;
-$status-ok-color: #42A425;
+$status-ok-color: #01A982;
 $status-unknown-color: #848484;
 $status-disabled-color: #848484;
 
-- 
2.13.6

